Name:           rcasm
Version:        3.0
Release:        1%{?dist}
Summary:        Cross-assembler for 8-bit CPUs

License:        Public Domain
URL:            http://www.elf-emulation.com/rcasm.html
Source0:        http://www.elf-emulation.com/%{name}.tgz


%description
Rc/Asm is a cross-platform table-driven cross-assembler. The assembly process
is controlled by special definition tables that allow the assembler to identify
assembly sequences and produce object code.

This package includes the definition files for the following processors:

    1802
    1805
    4004
    6502
    8080
    Z8
    Z80
    pic 24c5xx
    CHIP-8


%prep
%setup -q -n %{name}

sed -i.orig -e 's|/usr/lib|%{_datadir}|' header.h


%build
make %{?_smp_mflags} CC="gcc %{optflags}"


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

install -p -m 755 rcasm rclink $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 *def $RPM_BUILD_ROOT%{_datadir}/%{name}


%files
%doc asm.doc *.txt
%{_bindir}/rcasm
%{_bindir}/rclink
%{_datadir}/%{name}

%changelog
* Sat Oct 20 2012 Dan Horák <dan[at]danny.cz> - 3.0-1
- initial Fedora release
